import { Component, Input } from '@angular/core';

@Component({
  selector: 'child-three',
  template: `
		<h3>Third child component - Setter Getter</h3>
        <p>{{message}}</p>
    `  
})
export class ChildThreeComponent  {    
    private msg: string = '';

    @Input()
    set message(inputMessage: string) {
        this.msg = inputMessage && inputMessage.toUpperCase();
    }
    
    get message() {
        return this.msg;
    }
}
